Subject: bug#66291: closed (Re: bug#66291: [Leo Vivier] [PATCH] orgalist: Update bug:31361 workaround for new upstream signature)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 Jan 2024 18:37:02 +0000

Your bug report

#66291: [Leo Vivier] [PATCH] orgalist: Update bug:31361 workaround for new upstream signature

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66291: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66291
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66291: [Leo Vivier] [PATCH] orgalist: Update bug:31361 workaround for new upstream signature
From: Nicolas Goaziou <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: Leo Vivier <[email-masked]>, [email-masked], Ihor Radchenko <[email-masked]>
Date: Thu, 11 Jan 2024 19:35:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Stefan Kangas <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
>> Stefan Kangas <[email-masked]> writes:
>>
>>> The below patches were sent to emacs-devel, but got no followups.  I'm
>>> forwarding it here so that we don't lose track of it.
>>>
>>> Please in the future always direct patches to [email-masked].
>>
>> It has been a while since we (on Org mailing list) heard from Nicolas.
>> Although, he appears to be active on Guix lists.
>>
>> Nicolas, may I know if you need any help maintaining Org-related packages?
>
> Ping.

I applied the patches and released a new version of Orgalist. Thanks,
and sorry for the delay (!).

To answer Ihor's question : I'm out of touch concerning Org development,
so maintaining a package such as Orgalist may be problematic at some
point, indeed.

I'm closing this report.

Regards,
-- 
Nicolas Goaziou

Subject: [Leo Vivier] [PATCH] orgalist: Update bug:31361 workaround for new upstream signature
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Sun, 1 Oct 2023 05:31:46 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The below patches were sent to emacs-devel, but got no followups.  I'm
forwarding it here so that we don't lose track of it.

Please in the future always direct patches to [email-masked].

-------------------- Start of forwarded message --------------------
From: Leo Vivier <[email-masked]>
To: [email-masked]
Cc: Nicolas Goaziou <[email-masked]>
Subject: [PATCH] orgalist: Update bug:31361 workaround for new upstream
 signature
Date: Thu, 09 Mar 2023 11:55:22 +0100
From 00803627bf22f00aa1666977d9d157d9bd1e6183 Mon Sep 17 00:00:00 2001
From: Leo Vivier <[email-masked]>
Date: Thu, 9 Mar 2023 11:26:59 +0100
Subject: [PATCH 1/2] Update bug:31361 workaround for new upstream signature

Upstream, `indent-according-to-mode' has a new signature.
- Introduced: Thu Nov 18 08:11:26 2021 +0100
  f596f0db82c0b1ff3fe8e8f1d8b07d2fe7504ab6
- Still present in master: Thu Mar 9 12:04:52 2023 +0200
  8589de94d8a44cd566eb3fe128f8091d7e958ee9

The old signature raised wrong-number-of-arguments errors on `indent-region'.
---
 orgalist.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/orgalist.el b/orgalist.el
index 7bf27e2..6f1d2ec 100644
--- a/orgalist.el
+++ b/orgalist.el
@@ -880,12 +880,12 @@ C-c C-c         `orgalist-check-item'"
     ;; FIXME: Workaround bug#31361.
     (unless (advice-member-p 'orgalist-fix-bug:31361 'indent-according-to-mode)
       (advice-add 'indent-according-to-mode
-                  :around (lambda (old)
+                  :around (lambda (old &rest r)
                             "Workaround bug#31361."
                             (or (orgalist--indent-line)
                                 (let ((indent-line-function
                                        (advice--cd*r indent-line-function)))
-                                  (funcall old))))
+                                  (funcall old r))))
                   '((name . orgalist-fix-bug:31361)))))
    (t
     (remove-function (local 'fill-forward-paragraph-function)
-- 
2.39.2

From 03a82f3c925455f26dfdae87f8517f7294d6c806 Mon Sep 17 00:00:00 2001
From: Leo Vivier <[email-masked]>
Date: Thu, 9 Mar 2023 11:40:12 +0100
Subject: [PATCH 2/2] Bump copyright

---
 orgalist.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/orgalist.el b/orgalist.el
index 6f1d2ec..045de9d 100644
--- a/orgalist.el
+++ b/orgalist.el
@@ -1,6 +1,6 @@
 ;;; orgalist.el --- Manage Org-like lists in non-Org buffers  -*- lexical-binding: t; -*-
 
-;; Copyright (C) 2017-2020  Free Software Foundation, Inc.
+;; Copyright (C) 2017-2023  Free Software Foundation, Inc.
 
 ;; Author: Nicolas Goaziou <[email-masked]>
 ;; Maintainer: Nicolas Goaziou <[email-masked]>
-- 
2.39.2